 About Pixie

Are you a Web designer or painter? Are you usually hunting for nice colours on your screen that you'd like to use? Then probably Pixie is a tool of your dream.

Pixie is a colour spy plus a mouse tracker. Forget about screen capture nightmares. Run Pixie, simply point to the colour and it will tell you the RGB, hex, HTML, CMYK and HSV values of colour. You can then use these values to reproduce the colour in your favorite programs (however please keep all the necessary copyrights :). Pixie also shows the current x and y position of your mouse pointer.

Feel free send us your comments, flames, greetings, suggestions regarding Pixie to support@nattyware.com. Please visit our web site at http://www.nattyware.com to find the latest version of Pixie and the rest of our software.


 New features in 3.0

There is the list of changes and additions since the previous version
  • "Mouse over" tray popup behavior changed to "double click"
  • Magnify snapshot area is 32x32 now for best handling of icon images; magnify ratio decreased to 1:7
  • Interface redesigned to be nattier: some flicking effects removed, a whole window drag mode added, "stay on top" feature added, etc.
  • Hot keys replaced for more convient usage by one hand.
  • Key usage prompter added.

Please refer to the Usage section to find out more on how to use these features.


 Usage

The usage is easy. Simply run Pixie and move the mouse cursor around the screen - you'll see all the necessary information in the Pixie's window. That's it. Not too complicate, isn't it?

There are few key shortcuts are available to make your work with Pixie more comfortable. Why key shortcuts instead of direct mouse actions? Well, can you show a magic - point to the pixel with colour you want and push the buttons at the Pixie's window at the same time? ;)

Ctrl+Alt+C
Press this combination to copy a HTML value of a current colour to the Windows clipboard.

Ctrl+Alt+X
If you want to work with some colour, non-existent on the screen at this moment, then you may use the colour mixer by pressing this combination. The colour mixer window will appear. Mix any custom colour you want, then click [Ok] button and the HTML value of colour you mixed will be copied to the Windows clipboard.

Ctrl+Alt+Z
If you work with complex images then this option is for you. Magnify snap. Simply point to the area around pixel you want and press this key combination. The additional small Pixie's window with magnified static snapshot of this area will appear. The working area for snapshot is 32x32 pixels with 1:7 magnification.

If you have any ideas or suggestions about Pixie's features then feel free contact us by e-mail at support@nattyware.com.


 Tips and tricks

Do you know that:

  • If you forget hotkeys then simply move a mouse pointer over Pixie's window - it will bring a key prompter.

  • You may drag Pixie around a screen by holding left mouse button anywhere on its window.

  • When you open color mixer, the color of a last pixel where mouse have stopped is already selected.

  • Before start working on web pages you can compile a whole necessary palette you would like to use on site. Simply use "Add to custom colors" button in color mixer to fill a palette and later just switch between colors.

  • You easily may target magnify area. Just press Ctlr-Alt-Z and hold it down until moving mouse pointer around a screen.

  • All previous version of Pixie had an "easter egg". Current version have such egg too, but it is slightly different and can easily be discovered. ;-)

    If you found any other tips and tricks on how to use Pixie more productive then let us know at support@nattyware.com.


 How does it works?

If you are a Software Developer or Programmer then probably you might be interest in how does Pixie works exactly. Actually we've already received many such questions since the first Pixie release. We would like to answer all your questions but unfortunatelly it's really impossible. So, please, do not ask us for step-by-step "how to do", simple visit our Web site at http://www.nattyware.com and order the full Pixie's source code instead. There are answers on all your questions about Pixie there.

Pixie written in plain C using Win32 API only, no MFC, OWL, OCX or any other such stuff has been used. It means you may use all Pixie's techniques in your own programms, written in Visual Basic, Delphi or Pascal without a pain.


 Registration

To register your copy of Pixie you should pay for it. Some flowers for your beloved or even a sincere smile should be enough. In other words: there is no any registration requires at all - Pixie is free. Use it whatever you like and, of course, if you really feel Pixie is worth for something then donations are welcome.


 Credits

The author of Pixie is Ilya O. Levin

Thanks to all of you for your support and feedback and special thanks for ideas and suggestions to:
  • Migel - CMYK colour scheme
  • Helen Moiseeva - minimize/restore and magnify snap
  • Bernhard Garnitschnig - copy HTML to clipboard
  • Scott Knaub - HSV colour scheme
  • Fernando Agrafojo - one hand usable hot keys